<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="other-tests">
  
  <test name="sample1">
    <parameter name="name" value="sample1"/>
    <parameter name="dir" value="test/other/michiels-deletion-sample"/>
    <parameter name="trackedFile" value="delete-text-across-siblings-tracked.odt"/>
    <parameter name="versions" value="delete-text-across-siblings-version-1.odt,delete-text-across-siblings-version-2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="sample2">
    <parameter name="name" value="sample2"/>
    <parameter name="dir" value="test/other/list-id-sample"/>
    <parameter name="trackedFile" value="list-sample-tracked.odt"/>
    <parameter name="versions" value="list-sample-v1.odt,list-sample-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="list-table-list-1">
    <parameter name="name" value="list-table-list-1"/>
    <parameter name="dir" value="test/other/list-table-list-1"/>
    <parameter name="trackedFile" value="list-table-list-tracked.odt"/>
    <parameter name="versions" value="list-table-list-v1.odt,list-table-list-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
</suite>